# Interface methods for submodule: BinaryGeneratorImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: BinaryGeneratorImageFilter
class BinaryGeneratorImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetInput1(self, image1) -> None:
		""""""
		...

	@overload
	def SetInput1(self, input1) -> None:
		""""""
		...

	@overload
	def SetInput1(self, input1: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetInput1(self, input1: float) -> None:
		""""""
		...

	@overload
	def SetInput1(self, input1: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def SetInput1(self, input1: Tuple[int, int, int]) -> None:
		""""""
		...

	@overload
	def SetInput1(self, input1: int) -> None:
		""""""
		...

	@overload
	def SetConstant1(self, input1) -> None:
		""""""
		...

	@overload
	def SetConstant1(self, input1: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetConstant1(self, input1: float) -> None:
		""""""
		...

	@overload
	def SetConstant1(self, input1: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def SetConstant1(self, input1: Tuple[int, int, int]) -> None:
		""""""
		...

	@overload
	def SetConstant1(self, input1: int) -> None:
		""""""
		...

	@overload
	def GetConstant1(self):
		""""""
		...

	@overload
	def GetConstant1(self) -> Sequence[float]:
		""""""
		...

	@overload
	def GetConstant1(self) -> float:
		""""""
		...

	@overload
	def GetConstant1(self) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def GetConstant1(self) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def GetConstant1(self) -> int:
		""""""
		...

	@overload
	def SetInput2(self, image2) -> None:
		""""""
		...

	@overload
	def SetInput2(self, input2) -> None:
		""""""
		...

	@overload
	def SetInput2(self, input2: float) -> None:
		""""""
		...

	@overload
	def SetInput2(self, input2: int) -> None:
		""""""
		...

	@overload
	def SetInput2(self, input2: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def SetInput2(self, input2: Tuple[int, int, int]) -> None:
		""""""
		...

	@overload
	def SetConstant2(self, input2) -> None:
		""""""
		...

	@overload
	def SetConstant2(self, input2: float) -> None:
		""""""
		...

	@overload
	def SetConstant2(self, input2: int) -> None:
		""""""
		...

	@overload
	def SetConstant2(self, input2: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def SetConstant2(self, input2: Tuple[int, int, int]) -> None:
		""""""
		...

	@overload
	def SetConstant(self, ct) -> None:
		""""""
		...

	@overload
	def SetConstant(self, ct: float) -> None:
		""""""
		...

	@overload
	def SetConstant(self, ct: int) -> None:
		""""""
		...

	@overload
	def SetConstant(self, ct: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def SetConstant(self, ct: Tuple[int, int, int]) -> None:
		""""""
		...

	@overload
	def GetConstant(self):
		""""""
		...

	@overload
	def GetConstant(self) -> float:
		""""""
		...

	@overload
	def GetConstant(self) -> int:
		""""""
		...

	@overload
	def GetConstant(self) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def GetConstant(self) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def GetConstant2(self):
		""""""
		...

	@overload
	def GetConstant2(self) -> float:
		""""""
		...

	@overload
	def GetConstant2(self) -> int:
		""""""
		...

	@overload
	def GetConstant2(self) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def GetConstant2(self) -> Tuple[int, int, int]:
		""""""
		...

